fltk-config(1)              General Commands Manual             fltk-config(1)



[1mNAME[0m
       fltk-config  - script to get information about the installed version of
       fltk.


[1mSYNOPSIS[0m
       fltk-config [ --prefix [4m[=DIR][24m ] [ --exec-prefix [4m[=DIR][24m ] [ --version  ]
       [ --api-version ] [ --use-gl ] [ --use-images ] [ --use-glut ] [ --cc ]
       [ --cxx ] [ --cflags ] [ --cxxflags ] [ --ldflags ] [ --ldstaticflags ]
       [ --libs ] [ -D[4mname[=value][24m ] [ -g ] [ --compile [4mprogram.cxx[24m ]

[1mDESCRIPTION[0m
       [4mfltk-config[24m  is  a  utility  script that can be used to get information
       about the current version of FLTK that is installed on the system, what
       compiler  and  linker  options to use when building FLTK-based applica-
       tions, and to build simple FLTK applications.

       The following options are supported:

       --api-version
            Displays the current FLTK API version number, e.g. "1.1".

       --cc

       --cxx
            Displays the C/C++ compiler that was used to compile FLTK.

       --cflags

       --cxxflags
            Displays the C/C++ compiler options to use when  compiling  source
            files that use FLTK.

       --compile [4mprogram.cxx[0m
            Compiles  the  source  file [4mprogram.cxx[24m into [4mprogram[24m.  This option
            implies "--post [4mprogram[24m".

       -g
            Enables debugging information when compiling  with  the  [4m--compile[0m
            option.

       --ldflags
            Displays  the  linker  options to use when linking a FLTK applica-
            tion.

       --ldstaticflags
            Displays the linker options to use when linking a FLTK application
            to the static FLTK libraries.

       --libs
            Displays  the  full path to the FLTK library files, to be used for
            dependency checking.

       --use-gl
            Enables OpenGL support.

       --use-glut
            Enables GLUT support.

       --use-images
            Enables image file support.

       --version
            Displays the current FLTK version number, e.g. "1.1.0".

[1mSEE ALSO[0m
       fluid(1), fltk(3)
       FLTK Programming Manual
       FLTK Web Site, http://www.fltk.org/

[1mAUTHORS[0m
       Bill Spitzak and others.



6 February 2007               Fast Light Tool Kit               fltk-config(1)
